<?php

declare(strict_types=1);

namespace App\Http\Livewire\Components\Notifications;

use Illuminate\Contracts\View\View;

/**
 * Class Indicator
 *
 * @package App\Http\Livewire\Components\Notifications
 */
final class Indicator extends Simple
{
    /**
     * @var bool
     */
    public bool $unreadNotifications = false;

    /**
     * @return \Illuminate\Contracts\View\View
     */
    public function render(): View
    {
        $this->unreadNotifications = $this->userNotifications->isNotEmpty();

        return view('livewire.components.notifications.indicator');
    }
}
